あづみです。

Shin'ya Adzumi wrote:
> 今の CVS の最新だとどうだかはちょっと確認してない
> ですけど。

1.6 系、1.7 系両方で試してみました。手持ちの linux マシンの
autoconf が古かったので NetBSD で。

$ ruby-1.6/ruby/ruby -ve test.rb
ruby 1.6.8 (2002-10-10) [i386-netbsdelf1.6]
"loop-1"
"loop-2"

$ ruby-1.7/ruby/ruby -ve test.rb
ruby 1.7.3 (2002-10-12) [i386-netbsdelf1.6]
"loop-1"
"loop-1loop-2"

1.6 の方はバグですよね。これ。

# eval.c を見たけど全然分からなかった…


安積伸弥
adzumi / denpa.org